# EyeStrainReminder
## Installation
A small background tool for reminding the user of the "20-20-20" rule. Uses system notifications and sound cues. Made primarily for GNU/Linux, but should theoretically work with other environments.

First, you might need these packages:
```
sudo apt-get install python-gobject libnotify-bin python-gst-1.0
```

Second,  install the tool and required [Python modules](setup.py) by cloning the repository and running these lines, optionally with the --user flag:
```
cd EyeStrainReminder
python3 -m pip install .
```
Launch or set it to run from boot as:
```
$ eyestrainreminder
```
Optional parameters can be viewed through "$ eyestrainreminder -h". In short, it's possible to set a custom notification sounds, mute the notification sounds, turn off notifications by default and invert the tray icon colors.

## Uninstallation
For removal of the software run:
```
python3 -m pip uninstall EyeStrainReminder
```